import React from 'react';
import { Spin, Form, Button } from 'antd';
import './step5.less';
const FormItem = Form.Item;

const formItemLayout = {
  labelCol: { span: 4 },
  wrapperCol: { span: 10 },
};

const EvaluateStep5 = Form.create({})(React.createClass({
  getInitialState() {
    return {
      loading: false
    };
  },
  componentWillMount() {
  },
  next() {
    if (this.props.next) {
      this.props.next();
    }
  },
  prev() {
    if (this.props.prev) {
      this.props.prev();
    }
  },
  render() {
    let {loading} = this.state;
    return (
      <Spin spinning={loading}>
        <div>Step 5</div>
        <div className="steps-action">
          <Button type="primary" onClick={() => this.next()}>保存，下一步</Button>
          <Button style={{ marginLeft: 8 }} onClick={() => this.prev()}>上一步</Button>
        </div>
      </Spin>
    )
  },
}));

export default EvaluateStep5;